#ifndef _MODEMAP
#define _MODEMAP

SOCKET CANStart();
const char* CANGet(SOCKET s);
void CANStop(SOCKET s);

int PioneerStart();
int PioneerStop();
void Map();
void Search();
void Rescue();

extern SOCKET s;

extern ArRobot robot;

extern double range;				// Distance to travel before searching
extern double distanceTraveled;		// Used to determine if robot has traveled
									// distance specified by 'range'.

extern double turnThreshold;		// Ideal distance from right wall to keep robot.
extern double rightNearLimit;		// How close robot can get to right wall
extern double rightFarLimit;		// How far robot can get from the right wall

extern double leftRange;			// Distance from left object / wall
extern double rightRange;			// Distance from right object / wall

extern double checkTurnLeftDist;	// Used to determine if robot is really
									// getting farther away from right wall.
extern double checkTurnRightDist;	// Used to determine if robot is really
									// getting closer to the right wall.

extern double frontRange;			// Distance from object / wall in front

extern double speed;				// Standard speed of robot

extern double sonar0, sonar1, sonar2, sonar3, sonar4, sonar5, sonar6, sonar7;
extern double delaySonar;			// Delays the amount of sonar recorded to 
									// the txt file.

extern double myDegrees;			// Stores compass data
extern double oldDegrees;			// Saves old compass data to compare

extern double oldX;					//last location of X
extern double oldY;					//last location of Y
extern double newX;					//Current location of X
extern double newY;					//Current location of Y
extern double changeDegrees;		//Records change in degrees
extern double pi;

extern double can;					//0=no can, 1=can found
extern double canDistance;			//Distance to the can from robot
extern double canAngle;				//Angle the robot needs to turn to face the can
extern double canDirection;			//1=left, 2=directly in front, 3=right half of the robot's sight

extern int turned;
extern int i;
extern int startFile;				//1=it has been started

extern char myDegreesc[6];
extern char Xpos[6];
extern char Ypos[6];
extern char sonar0c[5];
extern char sonar1c[5];
extern char sonar2c[5];
extern char sonar3c[5];
extern char sonar4c[5];
extern char sonar5c[5];
extern char sonar6c[5];
extern char sonar7c[5];
/*extern char Xpos[5];
extern char Ypos[5];
extern char 0sonar[5];
extern char 1sonar[5];
extern char 2sonar[5];
extern char 3sonar[5];
extern char 4sonar[5];
extern char 5sonar[5];
extern char 6sonar[5];
extern char 7sonar[5];*/

#endif
