#include <iostream>
using namespace std;

#include "tnplib.h"

SOCKET CANStart() {
    SocketLibStart(); // but do it in main() rather than here
    SOCKET s = TCPStartClient("localhost", 8888);
    if (!isValidSocket(s)) return(s);
    TCPSetTimeout(s, 5000); // how long to wait for Matlab in ms
    return(s);
}

const char* CANGet(SOCKET s) {
    const int   bufsize=1400;
    static char buffer[bufsize];
    int status;
    status=TCPSendLine(s, "do\r\n");
    if (status<0) return(0);
    status=TCPRecvLine(s, buffer, bufsize);
    if (status<0) return(0);
    return(buffer);
}

void CANStop(SOCKET s) {
    TCPPrepClose(s);
    TCPStopClient(s);
//  SocketLibEnd();
}



int main() {
    SOCKET s = CANStart();

    if (isValidSocket(s)) {
        while(1) {
            const char* data = CANGet(s);
            if (data==0) break;
            cout << data << endl;
        }
    }

    CANStop(s);
    return(0);
}
